
## CESSION DE DROITS D’AUTEUR DE CONTRIBUTEUR 

Le présent acte de cession de droits d’auteur (l’ « Acte de cession ») est conclu par le contributeur (le « Contributeur ») au profit de l’État. L’État et le Contributeur étant ci-après désignés individuellement la « **Partie** » et collectivement les « **Parties** ».

Le Contributeur a été amené à réaliser un composant informatique ou un composant design, fourni à titre de Contribution au Système de Design de l’État (la « Plateforme ») et validé par l’équipe qui en assure la gestion. Le Contributeur accepte d’en céder les droits de propriété intellectuelle y afférents à l’État comme suit : 



### ARTICLE 1 – OBJET DE L’ACTE DE CESSION

Au titre du présent Acte de cession, le Contributeur cède à l’État l’ensemble des droits patrimoniaux d’auteur relatifs à la Contribution réalisée et validée par le gestionnaire de la Plateforme.



### ARTICLE 2 – DROITS DE PROPRIÉTÉ INTELLECTUELLE

Les droits de propriété intellectuelle relatifs à la Contribution sont cédés en pleine propriété à l’État à titre exclusif, dès la signature des présentes, à savoir : 

#### Le droit de reproduction, à savoir : 

1. Le droit de fixer, faire fixer, reproduire, faire reproduire, dupliquer, imprimer, télécharger, publier, enregistrer, faire enregistrer par tous procédés et sur tous supports connus ou inconnus à ce jour tout ou partie des Contributions, ainsi que leurs adaptations, pour une exploitation, seules ou avec d’autres éléments, sur supports mécaniques, analogiques, magnétiques, électroniques, télématiques, numériques, par téléchargement, sur vidéogrammes, permettant de stocker de manière permanente ou provisoire les Contributions, pour une consultation en ligne ou hors ligne, sur des médias tels que smartphones, tablettes numériques, e-books, CD-ROM, DVD, Blu-Ray Disc, disques durs, disques numériques, disquettes, cartes Sim, clés USB, ou tous autres supports permettant de stocker de manière transitoire ou permanente des informations numérisées, et sur tout site Internet ou application mobile, en nombre illimité, en l'état ou adaptées ;

2. Le droit d’intégrer en tout ou partie ces Contributions, ou leurs adaptations, dans un ensemble, avec ou sans modification ; 

3. Le droit de numériser, moduler, compresser et décompresser, digitaliser ou reproduire tout ou partie des Contributions, ou de leurs adaptations, ainsi que de les stocker, en tous formats en vue de leur transfert ou leur diffusion sur tous supports et par tous modes et procédés technologiques.

#### Le droit de représentation, à savoir :

1. Le droit de représenter ou de faire représenter, mettre en circulation, distribuer, communiquer ou faire communiquer au public, tout ou partie des Contributions ou de leurs adaptations, seules ou avec d’autres éléments par tous procédés, modes de communication notamment par lecture, récitation publique, exécution lyrique, représentation dramatique, présentation publique, projection publique ; au travers de tous réseaux, connus ou inconnus à ce jour, par fil ou sans fil, publics ou privés, gratuits ou payants et notamment par ondes, par voie hertzienne, par câble, par satellite, par affichage sur tout type d’écran, et de réseau de diffusion, notamment analogique, numérique (internet, intranet, réseaux sociaux, blogs, chaînes payantes ou gratuites…) de type 5G, 4G, 3G, EDGE, UMTS, par voie de téléchargement, de télétransmission, ou tout autre système destiné aux téléphones mobiles et aux assistants personnels, aux consoles de jeux, ou par tous procédés analogues existant ou à venir, par tous canaux de communication, pour toute réception destinée à un usage privé ou un usage collectif dans les lieux publics, etc. . 

2. Étant précisé que ces communications au public pourront être faites soit directement, soit par l’intermédiaire de tous tiers ou organismes autorisés par l’État et ce, tant dans le secteur commercial que non commercial, à titre gratuit ou onéreux.

#### Le droit d’adaptation, à savoir :

Le droit d’adaptation comporte notamment sans que l’État considère qu’il y a atteinte à son droit moral éventuel :

1. Le droit d’adapter, modifier, arranger, traduire en toute langue ou langage, les Contributions, notamment pour les impératifs techniques et opérationnels spécifiques de la Plateforme, quant à leurs couleurs, leur taille, leur graphisme, leurs formes, l’apposition du nom et/ou de la qualité du titulaire, en fonction des supports et des modalités d’exploitation des Contributions que ces dernières soient exploitées seules ou associées à d’autres éléments ; 

2. Le droit d’intégrer les Contributions dans une base de données ou dans tout programme informatique ou d’adapter sous forme de base de données les Contributions. 


Les droits énumérés ci-dessus, visent à la fois la version code objet et la version code source des éléments objet de la cession pour les contributions logicielles et pour toutes les Contributions, toutes les versions ayant concouru à la conception ou au développement de la Contribution, dans sa version définitive.

La cession des droits de propriété intellectuelle est valable pour une exploitation pour le monde entier, pour la durée de protection des Contributions par lesdits droits, prévue par les législations françaises et étrangères ainsi que par les conventions internationales applicables, y incluant toute prolongation éventuelle qui pourrait être accordée. 

L’État pourra, en toute indépendance, rétrocéder à des tiers, à titre gratuit ou onéreux, tout ou partie de la Contribution, sous quelque forme que ce soit, et notamment par licence y compris selon les licences copyleft, permissives, commerciales ou propriétaires. 



### ARTICLE 4 – GARANTIES

**4.1.** Le Contributeur garantit à l’État l’exercice paisible, de son fait personnel et du fait des tiers ainsi que la jouissance pleine et entière des droits cédés au titre du présent Acte de cession. À ce titre, le Contributeur déclare et garantit notamment qu’il détient seul l’ensemble des droits attachés aux Contributions réalisées lesquelles ne sont pas grevées, à quelque titre que ce soit, partiellement ou totalement, directement ou indirectement, de droits des tiers. 

**4.2.** Le Contributeur garantit l’État contre toute revendication, réclamation, recours, opposition de tous tiers (notamment mais pas exclusivement les salariés, collaborateurs, sous-traitants du Contributeur), ainsi que contre toute action en justice sur le fondement de la contrefaçon, du droit moral, du droit à l’image, des droits de la personnalité, des attributs du droit de propriété, de la concurrence déloyale ou du parasitisme, de la diffamation et plus généralement contre tout trouble affectant la jouissance des droits cédés sur les Contributions concernées. 

**4.3.** Le cas échéant, le Contributeur prendra à sa charge toutes sommes revendiquées par des tiers du fait d’une fausse déclaration ou du non-respect d’une des garanties prévues au terme du présent Acte de cession par le Contributeur, en ce compris tous frais, condamnations, dépenses et indemnités de toute nature (y compris les frais de justice et honoraires de conseils) qui pourraient être supportés ou mis à la charge de l’État, dès lors que ceux-ci auraient pour cause, fondement ou origine une revendication d’un tiers quel qu’il soit sur tout ou partie des Contributions. 



### ARTICLE 5 – DISPOSITIONS DIVERSES

**5.1.** Le Contrat est soumis à la loi française.

**5.2.** En cas de différend découlant de l’application des présentes ou qui y serait attaché de quelque manière que ce soit, les Parties s’engagent à faire leurs meilleurs efforts pour le résoudre amiablement.
