## CONDITIONS GÉNÉRALES D’UTILISATION DU SYSTÈME DE DESIGN DE L’ÉTAT

Le Service d’Information du Gouvernement (« SIG ») vous remercie de bien vouloir lire attentivement l’intégralité des présentes Conditions Générales d’Utilisation (« CGU ») avant d’utiliser la plateforme du Système de Design de l'État (« Plateforme »). Tout accès, toute utilisation et/ou toute Contribution à la Plateforme est subordonné au respect des présentes CGU. Tout Utilisateur de la Plateforme reconnaît souscrire sans réserve aux présentes CGU et s’engage à les respecter.



### PRÉAMBULE

Le SIG est le pilote de la transformation numérique de la communication de l’État . À ce titre, le SIG a pour mission de placer toutes les actions du Gouvernement sous la marque de l’État afin de garantir l’homogénéité et la reconnaissance de l’ensemble des initiatives ministérielles ou interministérielles.
Dans ce cadre, le SIG a mis en place la nouvelle stratégie de la marque de l’État pour rendre l’action de l’État plus concrète, lisible et visible grâce à un signe commun pour les citoyens.

Dans la continuité de la mise en œuvre de la marque de l’État, le SIG a structuré dans le cadre d’une plateforme, le Système de Design de l'État visant à mettre à disposition des librairies de Ressources permettant notamment de standardiser et d’harmoniser l’expérience numérique de l’État et des citoyens grâce à une interface commune des sites Internet et applications de l’État. Le Système de Design de l’État permet ainsi de générer des économies, en rationalisant les développements numériques, de garantir la qualité et l’efficacité de l’expérience utilisateur, la cohérence et une meilleure reconnaissance des services de l’État.

Les présentes Conditions Générales définissent les conditions selon lesquelles l’Utilisateur de l’État ou les Autres Utilisateurs peuvent naviguer sur la Plateforme accessible sur l’URL https://www.systeme-de-design.gouv.fr, accéder et exploiter les Ressources et Contribuer à leur amélioration ou leur enrichissement.



### ARTICLE 1 - DÉFINITIONS

Les termes débutant avec une majuscule dans les présentes CGU, qu’ils soient utilisés au singulier ou au pluriel auront la signification qui leur est attribuée ci-après :

* **Communauté** : désigne la communauté en ligne des Utilisateurs et des membres de l’équipe du Système de Design de l'État.

* **Composants** : désigne les librairies d’éléments destinés aux designers et aux développeurs intégrant des Éléments Graphiques (Fondamentaux Techniques et les Éléments d’Identité), des Éléments d’Interface, des Paquets de codes sources.

* **Contribution** : désigne tout élément fourni par l’Utilisateur dans le cadre de l’utilisation de la Plateforme, qu’il s’agisse de la modification d’un Composant ou du développement d’un nouveau Composant.

* **Système de Design de l'État (DSFR)** : désigne l’ensemble de Composants réutilisables, guidé par des standards et une gouvernance, devant être assemblés pour construire les sites internet et applications mobiles des Entités Autorisées et objet des présentes Conditions Générales.

* **Documentation** : désigne les principes d’utilisation des Composants auxquels les Utilisateurs doivent se conformer.

* **Eléments Graphiques** : désigne les Fondamentaux Techniques et les Éléments d’Identité.

* **Eléments d’Interface** : désigne les éléments des Composants liés à l’interface (boutons, liens, champs de saisie, case à cocher, cards, …).

* **Entités Autorisées** : désigne les services de l’État devant utiliser le DSFR, à savoir les administrations centrales, leurs directions, les délégations interministérielles, les préfectures, les ambassades, l’ensemble des services déconcentrés ainsi que les Opérateurs de l’État.

* **Eléments d’Identité** : désigne les éléments des Composants qui identifient les Entités Autorisées (dénomination, logos, autres Éléments graphiques comme les couleurs, typographies, iconographies, etc.) définis dans la « Marque État ».

* **Fondamentaux Techniques** : désigne les éléments basiques pour construire une page, un site Internet ou une application mobile (grille, espacement, points de rupture, etc).

* **Marque de l’Etat** : telle que définie par la circulaire du Premier Ministre en date du 17 février 2020, laquelle précise la stratégie de marque de l’Etat.

* **Opérateurs de l’État** : désigne les entités définies chaque année dans l’annexe « Opérateurs de l'État » du projet de loi de finances de l’année en cours.

* **Paquets de codes sources** : désigne les fichiers de codes sources accessibles sur la plateforme de Git (Github).

* **Plateforme** : désigne le site Internet du Système de Design de l'État, permettant aux Utilisateurs de naviguer, utiliser et contribuer au Système de Design de l'État.

* **Ressources** : désigne les Composants, la Documentation, le support et les outils mis à disposition de l’Utilisateur sur ou au travers de la Plateforme.

* **Services** : désigne les services fournis par le SIG via la Plateforme.

* **Autre Utilisateur** : désigne toute personne autre qu’un Utilisateur de l’État.

* **Utilisateur de l’État** : désigne toute personne travaillant chez ou pour une Entité Autorisée. Les agences de communication ou autre prestataire technique travaillant pour le compte d’une Entité Autorisée ont les mêmes droits et obligations relatifs aux Ressources que les Entités Autorisées elles-mêmes. En revanche, dès lors qu’ils ne travaillent plus pour les Entités Autorisées, ces prestataires externes n’ont sur les Ressources que les seuls droits dévolus aux Autres Utilisateurs.

* **Utilisateur** : désigne ensemble les Utilisateurs de l’État et les Autres Utilisateurs.



### ARTICLE 2 – MODALITÉS D’ACCÈS À LA PLATEFORME ET D’UTILISATION DES RESSOURCES

#### 2.1. Conditions générales d’utilisation de la Plateforme

La navigation sur la Plateforme est libre et gratuite.

L’espace de la Communauté ouvert sur la Plateforme permet aux Utilisateurs d’obtenir de l’aide et du support sur l’utilisation de la Plateforme, d’échanger avec la Communauté et d’être tenu informé sur l’espace « Système de Design de l’État » sur l’outil tiers Slack.

Les Utilisateurs peuvent (i) rechercher et consulter le contenu fourni par l’équipe du Système de Design de l’État, (ii) solliciter l’équipe du DSFR pour suggérer des modifications ou améliorations, et (iii) interagir et s’entraider avec les autres membres de la Communauté.

Tout Utilisateur diffusant du contenu à la Communauté, sous quelque forme que ce soit, s’engage à respecter les règles de participations spécifiques détaillées sur la Plateforme, les présentes CGU, les lois et les règlements en vigueur.

Les discussions ont vocation à porter sur le contenu publié. Les Utilisateurs ne publient pas de messages de nature publicitaire ou promotionnelle, à caractère raciste ou diffamatoire, grossier ou injurieux, agressif ou violent ou de façon générale qui contreviendraient aux bonnes mœurs, à l’ordre public ou aux dispositions légales en vigueur.

Les Utilisateurs publiant un commentaire dans une discussion cèdent leurs droits de propriété intellectuelle sur ceux-ci de façon non exclusive, à titre gracieux, pour le monde entier, pour toute la durée de ces droits.

Le SIG se réserve le droit de supprimer, sans autorisation et sans préavis, tout contenu et/ou publication qui ne serait pas conforme aux présentes CGU et/ou à la législation en vigueur.

Si l’Utilisateur détecte une anomalie qui affecte le bon fonctionnement de la Plateforme ou le bon fonctionnement d’un Composant, il pourra en faire part au SIG en adressant une demande de correction sur l’outil tiers Jira Service Desk (https://gouvfr.atlassian.net/servicedesk/customer/portals).

Le SIG confirmera la prise en compte de la demande par email dans les meilleurs délais et en fonction du niveau de criticité, la demande fera l’objet d’une réponse, d’une correction ou d’une évolution dans les meilleurs délais.

#### 2.2. Conditions d’utilisation des Ressources

Toutes les Ressources sont la propriété de l’État.

Toutes les Ressources sont mises à disposition des Utilisateurs dans les conditions suivantes étant précisé que la Documentation est accessible aux Utilisateurs mais ses modifications sont strictement réservées à l’équipe du DSFR :

##### I° Conditions d’utilisation des Ressources par les seuls Utilisateurs de l’État

Pendant toute la durée pendant laquelle les Ressources sont accessibles sur le DSFR, les Utilisateurs de l’État peuvent les utiliser afin de concevoir et développer les sites Internet et applications mobiles des Entités autorisées.

Le DSFR étant évolutif, certains Composants peuvent être remplacés par des nouveaux régulièrement et les Entités Autorisées devront assurer la substitution requise par le SIG.

Aux fins de garantir la cohérence, la qualité et l’harmonisation des sites et des applications mobiles des Entités Autorisées, il est précisé aux Utilisateurs de l’État qu’ils ne peuvent pas modifier les Éléments d’Identité, les Éléments d’Interface et Fondamentaux Techniques lors de leur utilisation pour leurs sites ou applications mobiles ; la Documentation spécifique propre à chaque Composant précise toutes les caractéristiques techniques à respecter.

Dans le cas où les besoins fonctionnels des Utilisateurs de l’État ne sont pas couverts par les Ressources mises à disposition, les Utilisateurs de l’État peuvent construire de nouveaux composants à partir des Fondamentaux Techniques et des Éléments d’Identité, dans le respect des Composants déjà existants, de l’esprit et des principes de design du DSFR afin de garantir sa cohérence.

Chaque nouveau site des Entités Autorisées ou refonte de ces sites fera l’objet d’une procédure d’agrément par le SIG selon les conditions de l’article 5.

##### 2° Conditions d’utilisation des Composants par les Autres Utilisateurs

Tous les Autres Utilisateurs sont autorisés à utiliser le code source selon les conditions de la licence MIT.

Il est expressément rappelé aux Autres Utilisateurs que toute utilisation des Composants en dehors des limites visées aux présentes ou dans le but de les détourner et de s’approprier d’une manière ou d’une autre la Marque de l’État est punissable de sanctions civiles et/ou pénales.


### ARTICLE 3 - CONDITIONS SPÉCIFIQUES AUX CONTRIBUTIONS

Dans l’hypothèse où un Utilisateur souhaiterait, dans le respect des limitations visées à l’article 2 ci-dessus, modifier un Composant ou apporter un nouveau Composant au DSFR, il devra proposer au SIG sa Contribution, qui ne pourra être intégrée au catalogue des Composants du DSFR qu’une fois validée par le SIG.

L’Utilisateur qui souhaite devenir Contributeur doit se rendre sur le Jira Service Desk (https://gouvfr.atlassian.net/servicedesk/customer/portals), sur le dépôt de code Git ou sur le Slack et remplir un formulaire afin de faire une demande d’évolution de design ou de codes sources ou proposer un nouveau Composant auprès du SIG.

Le SIG entrera en contact avec l’Utilisateur pour l’informer du statut de sa demande.

En fonction de la pertinence, de la qualité et de la cohérence de la Contribution avec le DSFR, le SIG pourra accepter ou refuser la Contribution. L’acceptation par le SIG de chaque Contribution est conditionnée par la signature d’un certificat de garantie d’origine de l’Utilisateur Contributeur.

Pour les Contributions développées par des agents de l’État pour le compte des Entités Autorisées, les droits de propriété intellectuelle y afférents appartiennent à l’État conformément aux dispositions de l’article L.131-3-1 du code de la propriété intellectuelle.

Pour les Contributions développées par des prestataires agissant pour le compte des Entités Autorisées, les droits de propriété y afférents sont gérés dans le cadre des dispositions du marché public pour lequel les prestataires interviennent.

Pour les Contributions développées par des Contributeurs n’agissant pas pour le compte d’Entités Autorisées, l’acceptation par le SIG est également conditionnée soit (i) par la signature d’un accord de cession de droits de propriété intellectuelle selon lequel le Contributeur cède à titre gratuit et non exclusif à l’État, ses droits d’auteur et notamment les droits de reproduction, de représentation, d'adaptation, sur tout ou partie des Contributions réalisées, pour une exploitation sur tout support et par tout vecteur de communication, pour la durée de protection desdites Contributions par le droit d'auteur et pour le monde entier, soit (ii) par l’adhésion à la licence MIT à laquelle la Contribution sera soumise.

Les Contributeurs s’engagent à respecter le Code de conduite et responsabilité des Contributeurs.

Pour les Contributions relatives aux Codes Sources, le fichier contributing.md sur le dépôt de code source Git détaillera les étapes et les nomenclatures à suivre en sus des dispositions précédentes.

Il est précisé que la validation de la Contribution relative au Code Source s’effectue comme suit :

Le Code Source développé ou modifié est soumis à l’équipe de développement du DSFR pour analyse. Pour les modifications structurantes et le développement de nouveaux Composants, le processus de création devra suivre le fonctionnement de l’équipe du Système de Design de l’État :
* Une phase de découverte UX qui a pour objectifs de cadrer le périmètre de développement
* Une phase de design UI (échanges et partages possibles avec l’équipe DSFR dès cette phase)
* Une phase de développement



### ARTICLE 4 – GARANTIES

**4.1** L’État est, sauf mention contraire, titulaire des droits d’exploitation de tous les droits de propriété intellectuelle portant tant sur la structure de la Plateforme, que sur tout son contenu, et notamment sur les Ressources, textes, les Éléments d’Identité, les Éléments d’interface, les illustrations, les marques, les logos et les documents.

**4.2** Le SIG fera ses meilleurs efforts pour garantir un accès à la Plateforme 7j/7 et 24h/24 étant précisé que le SIG pourra toutefois en interrompre l’accès, à des fins de maintenance corrective ou évolutive, d’amélioration de l’infrastructure, ou pour en garantir la sécurité et en aucun cas la responsabilité du SIG ne pourra être recherchée du fait d’une telle indisponibilité.

La Plateforme répond aux exigences des référentiels RGAA dans sa version 4, niveau AA, RGS et RGI.
Cette Plateforme est en constante évolution et enrichissement et le SIG ne saurait dès lors garantir la pérennité de certains des Composants dès lors qu’ils ne sont plus validés par le SIG.



### ARTICLE 5 – PROCÉDURE D’AGRÉMENT

Conformément à la circulaire n°6120/SG du 14 octobre 2019 relative à l’organisation et la coordination de la communication gouvernementale, toutes les refontes ou créations de site Internet et applications mobiles de communication de l'État (que le nom de domaine soit en <.gouv.fr>, en <.fr> ou autre) sont obligatoirement soumises à l’agrément du SIG.

Les Entités Autorisées doivent solliciter un agrément de principe du SIG, préalablement au lancement des prestations de refonte ou de création d’un site Internet et applications mobiles de communication de l’État pour lequel ils entendent utiliser la Plateforme. Cette demande s’effectue à l’aide du formulaire disponible au lien suivant : https://www.demarches-simplifiees.fr/commencer/agrement-principe-site-internet

La demande d’agrément doit comporter les indicateurs permettant d’évaluer objectivement les performances de l’action de communication envisagée.

Les Entités Autorisées doivent solliciter l’agrément définitif du SIG avant toute sortie d’application mobile ou de site Internet de communication de l’État, pour lequel ils ont obtenu l’agrément de principe du SIG. Cette demande s’effectue à l’aide du formulaire disponible au lien suivant : https://www.demarches-simplifiees.fr/commencer/agrement-definitif-site-internet

Le respect de cette procédure est indispensable même si le projet est envisagé dans l’urgence.

Il est rappelé que tous les sites et applications mobiles développés par ou pour les Entités Autorisées et les Opérateurs de l’État doivent en outre respecter : (i) la charte graphique, (ii) la charte des grands principes rédactionnels, et (iii) la charte des réseaux sociaux disponibles au lien : https://www.gouvernement.fr/marque-Etat ainsi que le Référentiel Général de Sécurité (RGS), le Référentiel Général d’Amélioration de l’Accessibilité (RGAA), le Référentiel Général d’Interopérabilité (RGI) dans leur version à jour, accessibles via le lien suivant : https://www.numerique.gouv.fr/publications/



### ARTICLE 6 - DONNÉES À CARACTÈRE PERSONNEL

Les données personnelles collectées par le SIG au travers de la Plateforme sont exploitées conformément aux dispositions de la Politique Données Personnelles présente sur le Plateforme.


### ARTICLE 7 – DISPOSITIONS DIVERSES

#### 7.1. Modifications des CGU

Les présentes CGU sont opposables pendant toute la durée d'utilisation de la Plateforme et jusqu'à ce que de nouvelles conditions générales d'utilisation remplacent les présentes.

Il est donc conseillé à l'Utilisateur de se référer régulièrement à la dernière version des conditions générales d'utilisation disponible en permanence sur la Plateforme. Tout usage de la Plateforme par l'Utilisateur après les modifications des conditions générales d'utilisation vaut acceptation par ce dernier des nouvelles conditions générales d'utilisation.

#### 7.2. Non renonciation

Le fait pour l'une des Parties de ne pas se prévaloir d'un manquement par l'autre Partie à l'une quelconque des obligations visées dans les présentes CGU ne saurait être interprété pour l'avenir comme une renonciation à l'obligation en cause.

#### 7.3. Juridiction compétente

Les présentes CGU sont soumises au droit français. Tout litige résultant de l’interprétation ou de l’exécution des présentes CGU feront l’objet d’une tentative de règlement amiable et, en cas d’échec de celle-ci, d’une saisine des tribunaux compétents de Paris.
